.header {
    position: fixed;
    top: 16px;
    left: 0;
    width: 100%;
    max-width: 100%;
    z-index: 999;
}

.header__inner {
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: space-between;
    background: var(--color-white);
    padding: 12px;
}

.header__hamburger-btn {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    gap: 3px;
}

.header__hamburger-line {
    width: 14px;
    height: 2px;
    background: var(--color-black);
    border-radius: 2px;
}

.header__menu .menu li a {
    font: 500 16px/1.25 var(--font-montserrat);
    color: rgba(0, 0, 0, 0.4);
}

.header__menu .menu li.current a {
    font-weight: 500;
    color: var(--color-black);
}

.header__language {
    display: flex;
    flex-flow: column;
    gap: 12px;
    justify-content: flex-start;
    align-items: flex-start;
}

.header .header__menu,
.header .header__language {
    display: none;
}

.header__hamburger-menu .header__language,
.header__hamburger-menu .header__menu {
    display: flex;
}
.header__language-label {
    font: 500 16px/1.25 var(--font-montserrat);
    color: var(--color-black);
}
.header__hamburger-menu {
    position: fixed;
    right: 0;
    top: 0;
    display: flex;
    flex-flow: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 12px;
    padding: 40px 20px;
    background: #fff;
    width: 100%;
    height: 100%;
    transform: translateX(100%);
    transition: transform .4s ease;
}
.header__hamburger-menu.is-open {
    transform: translateX(0);
}
.header__hamburger-menu-btn {
    display: flex;
    flex-flow: row;
    justify-content: flex-end;
    align-items: flex-end;
    margin-bottom: 20px;
    width: 100%;
}

.header__hamburger-menu-btn button {
    display: flex;
    flex-flow: column;
    justify-content: flex-end;
    align-items: center;
    gap: 2px;
    width: 24px;
    height: 24px;
    position: relative;
    border: 0;
    background: transparent;
}

.header__hamburger-menu-btn-line:nth-of-type(1) {
    transform: rotate(45deg);
}

.header__hamburger-menu-btn-line:nth-of-type(2) {
    transform: rotate(-45deg);
}

.header__hamburger-menu-btn-line {
    width: 2px;
    height: 20px;
    background: var(--color-black);
    position: absolute;
}

.header__hamburger-menu .menu {
    padding-left: 0;
    list-style-type: none;
}

.header__hamburger-menu .menu li {
    margin-bottom: 12px;
}

.header__hamburger-menu .menu li a {
    font: 500 16px/1.25 var(--font-montserrat);
    color: var(--color-black);
}

@media only screen and (min-width: 991px) {
    .header {
        top: 32px;
    }

    .header__menu .menu {
        display: flex;
        flex-flow: row;
        align-items: center;
        justify-content: center;
        gap: 32px;
        padding-left: 0;
        list-style-type: none;
    }

    .header__hamburger {
        display: none;
    }

    .header__language {
        display: flex;
        flex-flow: row;
        gap: 12px;
        justify-content: flex-end;
        align-items: center;
    }

    .header .header__menu,
    .header .header__language {
        display: flex;
    }

    .header__hamburger-menu {
        display: none;
    }
}